#!/bin/sh

echo "=== Start patch index.html file to allow deployment of project $1 in dynamic base-href ==="

sed -i -- 's/href="/href-temp="/g' dist/$1/index.html
sed -i -- 's/src="/src-temp="/g' dist/$1/index.html
echo "File 'index.html' patched by suffixing 'href' and 'src' with '-temp'"

sha1IndexFile=$(sha1sum dist/$1/index.html | awk '{print $1}')

sed -i -- "s#\"/index.html\": \".*\"#\"/index.html\": \"$sha1IndexFile\"#g" dist/$1/ngsw.json
echo "Entry '/index.html' hash updated in 'dist/$1/ngsw.json' with new sha1 value '$sha1IndexFile'"

echo "=== End patch ==="

